UPDATE-CUDF-SOLVERS(8)

NAME
update-cudf-solvers - register available CUDF solvers as APT external solvers

SYNOPSIS

update-cudf-solvers [OPTION]...
update-cudf-solvers [OPTION]... --remove
update-cudf-solvers [OPTION]... --list

DESCRIPTION
update-cudf-solvers maintain the list of installed CUDF solvers and register them as external solvers for APT.

The first form (without mandatory options) should be invoked each time a new CUDF solver specification file is added to or removed from the CUDF solver specification directory (by default /usr/share/cudf/solvers). update-cudf-solvers will synchronize the differences with APT external solvers, by installing suitable symlinks to the /usr/bin/apt-cudf wrapper under /usr/lib/apt/solvers.

The second form (with the mandatory "--remove" option) will remove all installed external APT solvers that originated from CUDF solvers. It's a cleanup operation meant to be used only upon removal of the apt-cudf package.

The third form just lists available solvers and exit.

Note that other, non-CUDF based, APT external solvers might be present under /usr/lib/apt/solvers. update-cudf-solvers leaves the untouched and act only on (present or past) APT solvers corresponding to CUDF solvers.

TRIGGER-BASED OPERATION
The directory /usr/share/cudf/solvers is monitored by a dpkg trigger that invokes update-cudf-solvers as needed. In all but exceptional circumstances, you should not be required to operate update-cudf-solvers manually.

OPTIONS

-d
--debug
    Print debugging information during operation.

-h
--help
    Show usage information and exit.

-l
--list
    List available solvers and exit. Both CUDF and APT's external solvers (AKA "EDSP solvers") will be listed.

-r
--remove
    Unregister all CUDF solvers.

SEE ALSO
apt-get(8), apt-cudf(8), README.cudf-solvers <file:///usr/share/doc/apt-cudf/README.cudf-solvers>, README.Debian <file:///usr/share/doc/apt-cudf/README.Debian>

AUTHOR
Copyright: (C) 2011 Stefano Zacchiroli <zack@debian.org>

License: GNU Lesser General Public License (GPL), version 3 or above